package com.jamieswhiteshirt.reachentityattributes.mixin;

import com.jamieswhiteshirt.reachentityattributes.ReachEntityAttributes;
import com.llamalad7.mixinextras.injector.ModifyExpressionValue;
import net.minecraft.class_1657;
import net.minecraft.class_8162;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;

@Mixin(class_8162.class)
abstract class BrushItemMixin {

    @ModifyExpressionValue(
        method = "getHitResult",
        at = @At(value = "INVOKE", target = "Lnet/minecraft/entity/player/PlayerEntity;getReachDistance(Z)F"))
    private float getActualReachDistance(float original, class_1657 playerEntity) {
        return (float) ReachEntityAttributes.getReachDistance(playerEntity, original);
    }

}
