package com.jamieswhiteshirt.reachentityattributes.mixin;

import com.jamieswhiteshirt.reachentityattributes.ReachEntityAttributes;
import net.minecraft.class_1297;
import net.minecraft.class_2824;
import net.minecraft.class_3244;
import org.spongepowered.asm.mixin.Final;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Shadow;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

@Mixin(targets = "net.minecraft.server.network.ServerPlayNetworkHandler$1")
abstract class PlayerEntityInteractionHandlerMixin implements class_2824.class_5908 {
    @Shadow(aliases = "field_28963") @Final private class_3244 field_28963;
    @Shadow(aliases = "field_28962") @Final private class_1297 field_28962;

    @Inject(method = "attack()V", at = @At("HEAD"), require = 1, allow = 1, cancellable = true)
    private void ensureWithinAttackRange(final CallbackInfo ci) {
        if (!ReachEntityAttributes.isWithinAttackRange(this.field_28963.field_14140, this.field_28962)) {
            ci.cancel();
        }
    }
}
