package com.jamieswhiteshirt.reachentityattributes.mixin;

import com.jamieswhiteshirt.reachentityattributes.ReachEntityAttributes;
import net.minecraft.class_1657;
import net.minecraft.class_1937;
import net.minecraft.class_2338;
import net.minecraft.class_5561;
import org.objectweb.asm.Opcodes;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Shadow;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Redirect;

@Mixin(class_5561.class)
abstract class ChestStateManagerMixin {
    @Shadow
    protected abstract boolean isPlayerViewing(final class_1657 player);

    @Redirect(
        method = "updateViewerCount(Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;Lnet/minecraft/block/BlockState;)V",
        require = 1, allow = 1,
        at = @At(value = "INVOKE", opcode = Opcodes.INVOKEVIRTUAL,
            target = "Lnet/minecraft/block/entity/ViewerCountManager;getInRangeViewerCount(Lnet/minecraft/world/World;Lnet/minecraft/util/math/BlockPos;)I"))
    private int getReachAccountingOpenCount(final class_5561 manager, final class_1937 world, final class_2338 pos) {
        return ReachEntityAttributes.getPlayersWithinReach(this::isPlayerViewing, world, pos.method_10263(), pos.method_10264(), pos.method_10260(), 5.0).size();
    }
}
