package com.jamieswhiteshirt.reachentityattributes.mixin;

import com.jamieswhiteshirt.reachentityattributes.ReachEntityAttributes;
import net.minecraft.class_1263;
import net.minecraft.class_1657;
import net.minecraft.class_1937;
import net.minecraft.class_2338;
import net.minecraft.class_2586;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable;
import org.spongepowered.asm.mixin.injection.callback.LocalCapture;

@Mixin(value = class_1263.class)
interface InventoryValidationMixin {
  @Inject(
      method = "canPlayerUse(Lnet/minecraft/block/entity/BlockEntity;Lnet/minecraft/entity/player/PlayerEntity;I)Z",
      require = 1, allow = 1,
      at = @At(shift = At.Shift.BEFORE, value = "INVOKE", target = "Lnet/minecraft/util/math/BlockPos;getX()I"),
      locals = LocalCapture.CAPTURE_FAILHARD, cancellable = true)
  private static void checkWithinActualReach(final class_2586 blockEntity, final class_1657 player, final int reachDistance, final CallbackInfoReturnable<Boolean> cir, final class_1937 world, final class_2338 pos) {
    if (player.method_5707(pos.method_46558()) <= ReachEntityAttributes.getSquaredReachDistance(player, reachDistance * reachDistance)) {
      cir.setReturnValue(true);
    }
  }
}
