package com.jamieswhiteshirt.reachentityattributes.mixin;

import com.jamieswhiteshirt.reachentityattributes.ReachEntityAttributes;
import net.minecraft.class_1657;
import net.minecraft.class_1792;
import net.minecraft.class_1935;
import net.minecraft.class_1937;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.Constant;
import org.spongepowered.asm.mixin.injection.ModifyConstant;

@Mixin(class_1792.class)
abstract class ItemMixin implements class_1935 {
    @ModifyConstant(
        method = "raycast(Lnet/minecraft/world/World;Lnet/minecraft/entity/player/PlayerEntity;Lnet/minecraft/world/RaycastContext$FluidHandling;)Lnet/minecraft/util/hit/BlockHitResult;",
        require = 4, allow = 4, constant = @Constant(doubleValue = 5.0))
    private static double getActualReachDistance(final double reachDistance, final class_1937 world, final class_1657 player) {
        return ReachEntityAttributes.getReachDistance(player, reachDistance);
    }
}
