package com.jamieswhiteshirt.reachentityattributes.mixin.client;

import com.jamieswhiteshirt.reachentityattributes.ReachEntityAttributes;
import net.minecraft.class_310;
import net.minecraft.class_636;
import org.spongepowered.asm.mixin.Final;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Shadow;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable;

@Mixin(class_636.class)
abstract class ClientPlayerInteractionManagerMixin {
    @Shadow @Final private class_310 client;

    @Inject(method = "getReachDistance", at = @At("RETURN"), cancellable = true)
    private void getActualReachDistance(CallbackInfoReturnable<Float> info) {
        if (this.client.field_1724 != null) {
            info.setReturnValue((float) ReachEntityAttributes.getReachDistance(this.client.field_1724, info.getReturnValue()));
        }
    }
}
