package com.jamieswhiteshirt.reachentityattributes.mixin.client;

import com.jamieswhiteshirt.reachentityattributes.ReachEntityAttributes;
import com.llamalad7.mixinextras.sugar.Local;
import net.minecraft.class_310;
import net.minecraft.class_4013;
import net.minecraft.class_757;
import org.spongepowered.asm.mixin.Final;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Shadow;
import org.spongepowered.asm.mixin.injection.*;

@Mixin(class_757.class)
abstract class GameRendererMixin implements class_4013/*, AutoCloseable*/ {
    @Shadow @Final class_310 client;

    @ModifyConstant(
        method = "updateTargetedEntity(F)V",
        require = 1, allow = 1, constant = @Constant(doubleValue = 6.0))
    private double getActualReachDistance(final double reachDistance) {
        if (this.client.field_1724 != null) {
            return ReachEntityAttributes.getReachDistance(this.client.field_1724, reachDistance);
        }
        return reachDistance;
    }

    @ModifyVariable(
        method = "updateTargetedEntity",
        at = @At(value = "STORE"), ordinal = 1)
    private boolean getActualAttackRange0(boolean hasExtendedReach, @Local(ordinal = 0) double reachDistance) {
        if (this.client.field_1724 != null) {
            return reachDistance > ReachEntityAttributes.getAttackRange(this.client.field_1724, 3.0);
        }
        return hasExtendedReach;
    }

    @ModifyConstant(method = "updateTargetedEntity(F)V", constant = @Constant(doubleValue = 9.0))
    private double getActualAttackRange1(final double attackRange) {
        if (this.client.field_1724 != null) {
            return ReachEntityAttributes.getSquaredAttackRange(this.client.field_1724, attackRange);
        }
        return attackRange;
    }
}
